Julia not working - Xcode needs updating...

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Julia not working - Xcode needs updating...

daycaster
So I got back from a week away from the computer, and Julia's suddenly not working on my Mac (it's mainly due to Cairo.jl, I think), and when I try to rebuild it it appears to be that my version of Xcode is out of date:

    Error: Your Xcode (8.0) is outdated.
    Please update to Xcode 8.1 (or delete it).
    Xcode can be updated from the App Store.

Which is fine....

But, Xcode 8.1 was released on Thursday 27th (related to this week's Apple Event I suppose). That's only a couple of days ago! I like the responsiveness (I think) and we're all used to living on the bleeding edge, but it's still surprising that this happened so quickly, and that there's no notice or anything anywhere, that I could see, that Julia installations would be broken immediately they released a new version of Xcode.

Was I the only one affected !?

Reply | Threaded
Open this post in threaded view
|

Re: Julia not working - Xcode needs updating...

Tony Kelman
This is coming from Homebrew (https://github.com/Homebrew/brew/pull/1384) which is used by several packages to manage binary dependencies on mac.

On Sunday, October 30, 2016 at 9:30:46 AM UTC-7, [hidden email] wrote:
So I got back from a week away from the computer, and Julia's suddenly not working on my Mac (it's mainly due to Cairo.jl, I think), and when I try to rebuild it it appears to be that my version of Xcode is out of date:

    Error: Your Xcode (8.0) is outdated.
    Please update to Xcode 8.1 (or delete it).
    Xcode can be updated from the App Store.

Which is fine....

But, Xcode 8.1 was released on Thursday 27th (related to this week's Apple Event I suppose). That's only a couple of days ago! I like the responsiveness (I think) and we're all used to living on the bleeding edge, but it's still surprising that this happened so quickly, and that there's no notice or anything anywhere, that I could see, that Julia installations would be broken immediately they released a new version of Xcode.

Was I the only one affected !?